Panda3D

Public Member Functions | Public Attributes | List of all members
AccumulatedAttribs Class Reference

This class is used by the SceneGraphReducer to maintain and accumulate the set of attributes we have encountered on each node that might eventually be applied to the vertices at the leaves. More...

`#include "accumulatedAttribs.h"`

## Public Member Functions
| AccumulatedAttribs (const AccumulatedAttribs &copy)
void | apply_to_node (PandaNode *node, int attrib_types)
| Stores the indicated attributes in the node's transform and state information; does not attempt to apply the properties to the vertices. More...
void | collect (PandaNode *node, int attrib_types)
| Collects the state and transform from the indicated node and adds it to the accumulator, removing it from the node. More...
| CPT (RenderAttrib) _clip_plane
| CPT (RenderAttrib) _color
| CPT (RenderAttrib) _color_scale
| CPT (RenderAttrib) _cull_face
| CPT (RenderAttrib) _tex_matrix
| CPT (RenderAttrib) _texture
| CPT (RenderState) _other
| CPT (RenderState) collect(const RenderState *state
| CPT (TransformState) _transform
void | operator= (const AccumulatedAttribs &copy)
void | write (std::ostream &out, int attrib_types, int indent_level) const

## Public Attributes
int | _clip_plane_override
int | _color_override
int | _color_scale_override
int | _cull_face_override
int | _tex_matrix_override
int | _texture_override
int | attrib_types

## Detailed Description

This class is used by the SceneGraphReducer to maintain and accumulate the set of attributes we have encountered on each node that might eventually be applied to the vertices at the leaves.

Definition at line 30 of file accumulatedAttribs.h.

## Member Function Documentation

## ◆ apply_to_node()

void AccumulatedAttribs::apply_to_node | ( | PandaNode * | node,
|  | int | attrib_types
| ) |  |

Stores the indicated attributes in the node's transform and state information; does not attempt to apply the properties to the vertices.

Clears the attributes from the accumulator for future traversals.

Definition at line 285 of file accumulatedAttribs.cxx.

References PandaNode::reset_prev_transform(), PandaNode::set_attrib(), PandaNode::set_state, and PandaNode::set_transform.

## ◆ collect()

void AccumulatedAttribs::collect | ( | PandaNode * | node,
|  | int | attrib_types
| ) |  |

Collects the state and transform from the indicated node and adds it to the accumulator, removing it from the node.

Definition at line 136 of file accumulatedAttribs.cxx.

The documentation for this class was generated from the following files:

- panda/src/pgraph/accumulatedAttribs.h
- panda/src/pgraph/accumulatedAttribs.cxx